function x = RLL1(A,b,mu)
    if nargin<3
        mu = 5e-15;
    end
    N = length(b);
    A(1:N+1:end) = A(1:N+1:end) + mu;  % C = A + mu*eye(N);
    L = chol(A,'lower');
    z = L\b;
    x0 = L'\z;
     z = mu*(L\x0);
    x1 = L'\z;
     x = x0 + x1;
end